Doomsday Engine - Feature #1765

Multiplayer savegames (co-op)
2014-04-18 08:26 - skyjake

Status: New Start date: 2014-04-18
Priority: High % Done: 0%
Assignee: skyjake

Category: Redesign

Target version: Multiplayer

Description

The server has all the information it needs to save the complete state of the game. It just needs to sync the state appropriately with
the clients, and clients need to be matched with the players in the saved data (using IDs/names).

The primary objective is to support longer co-op plays.

History

#1 - 2016-03-27 08:26 - skyjake
- Target version set to 2.1 (Late 2018)

#2 - 2016-03-27 08:31 - skyjake

- Priority changed from Normal to Urgent

#3 - 2016-03-27 08:34 - skyjake

- Subject changed from Distributed savegames to Multiplayer savegames (co-op)
- Description updated

- Assignee set to skyjake

- Priority changed from Urgent to High

#4 - 2018-07-29 16:46 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer

#5 - 2019-11-29 20:20 - skyjake
- Parent task deleted (#9)
